%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

%define expopt 1
%bcond_without gtk2

Summary:	LAME Ain't an MP3 Encoder
Name:		lame
Version:	3.100
Release:	5
License:	LGPLv2+
Group:		Sound
Url:		https://lame.sourceforge.net
Source0:	https://sourceforge.net/projects/lame/files/lame/%{version}/%{name}-%{version}.tar.gz
# Port mp3x from GTK1 to GTK2
Patch0:		lame-3.100-mp3x-gtk2.patch
# From Fedora
Patch1:		lame-3.100-libmp3lame-symbols.patch
# (tpg) patches from Debian
Patch3:		07-field-width-fix.patch
Patch6:		privacy-breach.patch
Patch7:		msse.patch
# Let's give it a performance boost...
Patch12:	http://tmkk.undo.jp/lame/lame-3.100-sse-20171014.diff
Patch13:	e2k-elbrus-fix-configure.patch
# From Debian: provide a pkgconfig file
Patch14:	pkg-config.patch
BuildRequires:	autoconf2.5
BuildRequires:	nasm
BuildRequires:	gettext-devel
%if %{with gtk2}
BuildRequires:	pkgconfig(gtk+-2.0)
%endif
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xi)
%ifarch %{ix86}
BuildRequires:	nasm
%endif

%description
Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an
mp3 stream or even being compiled by itself. But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

%files
%doc README TODO USAGE html/
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

#----------------------------------------------------------------------------
%if %{with gtk2}
%package mp3x
Summary:	MP3x analyzer for LAME
Group:		Sound
Requires:	%{name}

%description mp3x
This is a graphical analyzer for lame.

%files mp3x
%doc README
%{_bindir}/mp3x
%endif

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%files -n %{libname}
%doc README
%{_libdir}/libmp3lame.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%files -n %{devname}
%doc STYLEGUIDE API ChangeLog
%{_includedir}/*
%{_libdir}/libmp3lame.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static library for developing programs based on libmp3lame
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}
Provides:	lib%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
This package contains the static library programmers will need to develop
applications which will use libmp3lame.

%files -n %{sdevname}
%{_libdir}/libmp3lame.a

#----------------------------------------------------------------------------

%prep
%autosetup -p1
ln -s acm ACM
cp -r doc/html .

# Clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f
find html -name "*.orig"|xargs rm -f


%build
autoreconf -vfi
sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
%configure \
%ifarch %{ix86}
	--enable-nasm \
%endif
%if %{expopt}
	--enable-expopt \
%endif
	--enable-dynamic-frontends \
	--enable-mp3rtp \
	--enable-mp3x \
	--enable-static

#gw parallel build does not work
#gw fix building with --no-undefined
%make LIBS=-lm
#make test


%install
mkdir -p %{buildroot}%{_bindir}
%makeinstall BINDIR=%{buildroot}%{_bindir}

# Clean unpackaged files...
rm -rf %{buildroot}%{_datadir}/doc/lame

%changelog
* Sun Sep  8 2024 Alexander Stefanov <alexander@mezon.ru> abe42b3  (HEAD, origin/rosa2023.1)
- disable gtk2